---
title: Geolocation.clearWatch()
slug: Web/API/Geolocation/clearWatch
tags:
  - API
  - Geolocation
  - Geolocation API
  - Method
  - NeedsExample
  - Reference
  - Secure context
---
<p>{{securecontext_header}}{{ APIref("Geolocation API") }}</p>

<p>The <strong><code>Geolocation.clearWatch()</code></strong> method is used to unregister location/error monitoring handlers previously installed using {{domxref("Geolocation.watchPosition()")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">navigator.geolocation.clearWatch(<var>id</var>);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code><var>id</var></code></dt>
 <dd>The ID number returned by the {{domxref("Geolocation.watchPosition()")}} method when installing the handler you wish to remove.</dd>
</dl>

<h2 id="Example">Example</h2>

<pre class="brush: js notranslate">var id, target, option;

function success(pos) {
  var crd = pos.coords;

  if (target.latitude === crd.latitude &amp;&amp; target.longitude === crd.longitude) {
    console.log('Congratulation, you reach the target');
    navigator.geolocation.clearWatch(id);
  }
};

function error(err) {
  console.warn('ERROR(' + err.code + '): ' + err.message);
};

target = {
  latitude : 0,
  longitude: 0,
}

options = {
  enableHighAccuracy: false,
  timeout: 5000,
  maximumAge: 0
};

id = navigator.geolocation.watchPosition(success, error, options);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Geolocation')}}</td>
   <td>{{Spec2('Geolocation')}}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Geolocation.clearWatch")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/WebAPI/Using_geolocation">Using geolocation</a></li>
 <li>{{domxref("Geolocation")}}</li>
 <li>{{domxref("Geolocation.watchPosition()")}}</li>
 <li>{{domxref("Geolocation.getCurrentPosition()")}}</li>
</ul>
